iPad Do you need to JB to install IPA via iTunes?

RumoredMac

macrumors member
Original poster
Mar 26, 2016
41
8
I have obtained IPA which I want to install via iTune to iPad mini 2 (IOS 12.1).

Although i am able to install and sync the IPA but on my ipad it appears as "waiting" with a weird circular wire icon. The app doesnt open. Is it not possible to install IPA via iTunes without jailbreaking?

If JB is needed, which is the most stable JB for 12.1.1?
 

akash.nu

macrumors 604
May 26, 2016
7,419
8,324
You can’t install random IPAs. That’s why apple has the whole app signing process.
 

RumoredMac

macrumors member
Original poster
Mar 26, 2016
41
8
You can’t install random IPAs. That’s why apple has the whole app signing process.
Arre bhai Akash, then what is the process to install these random IPA?

JB? Which is the most stable JB for 12.1.1?
 

akash.nu

macrumors 604
May 26, 2016
7,419
8,324
Arre bhai Akash, then what is the process to install these random IPA?

JB? Which is the most stable JB for 12.1.1?
There’s no special process. Signing of apps is a security measure.

I’m not sure about what’s going on with the jailbreak stuff these days. I don’t jailbreak since iPhone 4 days.
 

NorthCarolina

macrumors member
Aug 25, 2018
40
8
On The Hill
I've been using Cydia Impactor to sign third-party IPAs on iOS 12.2.

I've installed iOS 13 public beta 1; and I'll update this post if I am able to sign apps on it.
 

RumoredMac

macrumors member
Original poster
Mar 26, 2016
41
8
I've been using Cydia Impactor to sign third-party IPAs on iOS 12.2.

I've installed iOS 13 public beta 1; and I'll update this post if I am able to sign apps on it.
This is what I wanted to know. But everytime I install the IPA via Impacter, it crashed:(
 

NorthCarolina

macrumors member
Aug 25, 2018
40
8
On The Hill
This is what I wanted to know. But everytime I install the IPA via Impacter, it crashed:(
Which IPA are you trying to install?
Are you using a Mac and the latest version of Impactor?
Details!!

Also, quick edit; the app itself may not be compatible with the version of iOS you are running, although I think Impactor could potentially tell you that, I've never seen it happen, however.